---@meta

---@class UCP_ColorPicker_HueSlider_C : UCP_SC_BaseColorPicker_C
---@field UberGraphFrame FPointerToUberGraphFrame
---@field CP_HueSlider UCP_SC_HueSlider_H_C
---@field SatValueRectPickerCmp UCP_SC_SatValueRectPicker_C
---@field Hue double
local UCP_ColorPicker_HueSlider_C = {}

function UCP_ColorPicker_HueSlider_C:SetHueSelectorColor() end
---@param NewCmp1 double
---@param NewCmp2 double
function UCP_ColorPicker_HueSlider_C:BndEvt__SatValueRectPickerCmp_K2Node_ComponentBoundEvent_1_OnValuesChanged__DelegateSignature(NewCmp1, NewCmp2) end
---@param NewColor FLinearColor
function UCP_ColorPicker_HueSlider_C:UpdateColor(NewColor) end
---@param NewHue double
function UCP_ColorPicker_HueSlider_C:BndEvt__CP_HueSlider_K2Node_ComponentBoundEvent_2_OnHueChanged__DelegateSignature(NewHue) end
---@param EntryPoint int32
function UCP_ColorPicker_HueSlider_C:ExecuteUbergraph_CP_ColorPicker_HueSlider(EntryPoint) end


